Package org.apache.solr.client.solrj.request

## Interface IsUpdateRequest

All Known Implementing Classes:
  `AbstractUpdateRequest`, `ContentStreamUpdateRequest`, `DirectXmlRequest`, `MultiContentWriterRequest`, `StreamingUpdateRequest`, `UpdateRequest`

    public interface IsUpdateRequest

Marker class so that we can determine which requests are updates.

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `isSendToLeaders()` Indicates if clients should make attempts to route this request to a shard leader, overriding typical client routing preferences for requests.

### Method Detail

#### isSendToLeaders

    default boolean isSendToLeaders()

Indicates if clients should make attempts to route this request to a shard leader, overriding typical client routing preferences for requests. Defaults to true.

See Also:
  `CloudSolrClient.isUpdatesToLeaders()`